Show Ad Insertion Session
Returns playback session detail (client, device, geo) for a single ad insertion session. Requires the Advanced Analytics add-on.
curl -X GET "https://api.5centscdn.com/v2/zones/vod/pull/42/adinsertion/sessions/example_string" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/zones/vod/pull/42/adinsertion/sessions/example_string"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/zones/vod/pull/42/adinsertion/sessions/example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/zones/vod/pull/42/adinsertion/sessions/example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/zones/vod/pull/42/adinsertion/sessions/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"result": "success",
"sessionId": "sess_4a1b2c",
"serviceId": 10001,
"clientIp": "203.0.113.10",
"userAgent": "Mozilla/5.0 (compatible; SSAI-Player/1.0)",
"os": "iOS",
"browser": "Safari",
"requestTime": "2026-01-15T10:30:00Z",
"geo": {
"continent": {
"geonameId": 6252001,
"name": "United States"
},
"country": {
"geonameId": 6252001,
"name": "United States"
},
"subdivision1": {
"geonameId": 6252001,
"name": "United States"
},
"subdivision2": {
"geonameId": 6252001,
"name": "United States"
},
"city": {
"geonameId": 6252001,
"name": "United States"
}
}
}
GET
/zones/vod/pull/{zoneid}/adinsertion/sessions/{sessionid}GET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
path
zoneidinteger
RequiredZone ID
path
sessionidstring
RequiredID of the ad insertion playback session.
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
sessionidstring
RequiredID of the ad insertion playback session.
Responses
resultstring
Allowed values:
successerrorsessionIdstring
serviceIdinteger
clientIpstring
userAgentstring
osstring
browserstring
requestTimestring
geoobject
Was this page helpful?